The following updates are necessary due to identified gaps

The attribute DetailedModelDescriptorArtifact.equationLanguageKind is required in 457 and it should be optional or the enumeration
needs to include enum “other”.

- Add “other” in the enum in 302 and update the description

The enumeration XSDDatatypeKind is missing integer enumerated value.

- Add integer

There is a typo on the class name ParameterDesctiptor. It should be ParameterDescriptor.

Only 457 change: The association between ParameterDescriptor and FunctionDescriptor has multiplicities 1..* and 1 and direction
towards FunctionDescriptor. This requires that each FunctionDesctiptor shall have a parameter and each parameter shall point to a
FunctionDescriptor. It is recommended that the association is left with multiplicities 0..* and 0..* with direction towards
ParameterDescriptor. This would allow the following

o0 To model a FunctionDescriptor without parameters

o To reuse parameters in different FunctionDescriptor-s

o To list all parameters for a FunctionDescriptor.

Only 457 change: The InputOutputDescriptor is allowed to have multiple inputs but only one output. It is recommended to change the
multiplicity of InputOutputDescriptor.SignalDescriptor to 1..*. This will allow modelling complex functions with multiple outputs.

Only 457 change: Change needed on the following:

The association SignalDescriptor.ACDCTerminal cannot be in the Detailed Model Configuration (DMC) profile as the configuration of
the model has to be independent from the power system model to which should be applied to. This association will need to be
modelled in the Detailed Model Parameterisation (DMP) Profile. As the association is optional the profile shall state that the input and
output signals that are external to the model configuration shall take signals from the terminals of the device if there is no further
specification.

- Moving the association to another profile from DMC to DMP

Deleted a draft note on the diagram DetailedModelDescription

Decision
Decison be WG13 on 1 Feb 2023
Number of issues found in an implementation of the draft 302 and 457. Changes enable more flexibility of the detailed model.

History

#1 - 02/06/2023 02:29 PM - Chavdar Ivanov
- Status changed from New to Open

#2 - 02/06/2023 02:30 PM - Chavdar Ilvanov

- Status changed from Open to In Progress

#3 - 02/06/2023 02:30 PM - Chavdar Ilvanov

- Status changed from In Progress to Closed
